Skip to main content
PATCH
/
v1
/
videos
/
{id}
/
clips
/
{clipId}
/
sound-effects
/
{soundEffectId}
Update a sound effect
curl --request PATCH \
  --url https://api.tella.com/v1/videos/{id}/clips/{clipId}/sound-effects/{soundEffectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "durationMs": 123,
  "name": "<string>",
  "startTimeMs": 4503599627370495,
  "volume": 1
}
'
import requests

url = "https://api.tella.com/v1/videos/{id}/clips/{clipId}/sound-effects/{soundEffectId}"

payload = {
"durationMs": 123,
"name": "<string>",
"startTimeMs": 4503599627370495,
"volume": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({durationMs: 123, name: '<string>', startTimeMs: 4503599627370495, volume: 1})
};

fetch('https://api.tella.com/v1/videos/{id}/clips/{clipId}/sound-effects/{soundEffectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "soundEffect": {
    "durationMs": 3000,
    "id": "ly_abc123",
    "startTimeMs": 1000,
    "volume": 1,
    "name": "Whoosh",
    "sourceId": "su_abc123"
  }
}
{
"error": {
"code": "bad_request",
"doc_url": "https://tella.tv/docs/api-reference/errors#bad-request",
"message": "The request was malformed or contained invalid parameters."
}
}
{
"error": {
"code": "unauthorized",
"doc_url": "https://tella.tv/docs/api-reference/errors#unauthorized",
"message": "Authentication is required. Provide a valid API key."
}
}
{
"error": {
"code": "forbidden",
"doc_url": "https://tella.tv/docs/api-reference/errors#forbidden",
"message": "You don't have permission to access this resource."
}
}
{
"error": {
"code": "not_found",
"doc_url": "https://tella.tv/docs/api-reference/errors#not-found",
"message": "The requested resource was not found."
}
}
{
"error": {
"code": "unprocessable_entity",
"doc_url": "https://tella.tv/docs/api-reference/errors#unprocessable-entity",
"message": "The request was well-formed but contained semantic errors."
}
}
{
"error": {
"code": "rate_limit_exceeded",
"doc_url": "https://tella.tv/docs/api-reference/errors#rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please slow down."
}
}
{
"error": {
"code": "internal_server_error",
"doc_url": "https://tella.tv/docs/api-reference/errors#internal-server-error",
"message": "An unexpected error occurred on the server."
}
}

Authorizations

Authorization
string
header
required

API key obtained from your Tella account settings

Path Parameters

id
string
required

Video ID

clipId
string
required

Clip ID

soundEffectId
string
required

Sound effect ID

Body

application/json

Update an existing sound effect

durationMs
integer
Required range: x <= 9007199254740991
name
string
startTimeMs
integer

Start time. Milliseconds on the clip playback timeline (with cuts applied) — the same timeline as the cut transcript.

Required range: 0 <= x <= 9007199254740991
volume
number
Required range: x > 0

Response

OK

A sound effect on a clip

soundEffect
object
required

A sound effect on a clip.